Summary: glite-yaim-nagios module configures the Nagios server.
Name: glite-yaim-nagios
Version: 1.11.3
Vendor: EGEE
Release: 1%{?dist}
License: APL2
Group: EGEE
Source: %{name}.src.tgz
BuildArch: noarch
Prefix: /opt/glite
Requires: glite-yaim-core
Requires: fetch-crl
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Packager: EGEE

%description
This package contains the yaim functions necessary to configure a Nagios server.

%prep

%setup  -c

%build
make install prefix=%{buildroot}%{prefix}

%files
%defattr(-,root,root)
%{prefix}/yaim/functions/config_*
%config %{prefix}/yaim/node-info.d/glite-*
%{prefix}/yaim/defaults/glite*
%{prefix}/yaim/examples/siteinfo/services/glite-*
/usr/share/man/man1/yaim-nagios.1
%doc LICENSE CHANGES


%clean
rm -rf %{buildroot}

%changelog
* Fri Nov 28 2014 Emir Imamagic <eimamagi@srce.hr> - 1.11.3-1%{?dist}
- Disable SSLv3
  https://github.com/ARGOeu/sam-probes/issues/26
* Sun Nov 16 2014 Emir Imamagic <eimamagi@srce.hr> - 1.11.2-1%{?dist}
- Fix truststore generation in glite-yaim-nagios
  https://github.com/ARGOeu/sam-probes/issues/21
* Sun Nov 16 2014 Emir Imamagic <eimamagi@srce.hr> - 1.11.0-1%{?dist}
- Clean up glite-yaim-nagios
  https://github.com/ARGOeu/sam-probes/issues/16 
* Fri Jul 12 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.31-1%{?dist}
- SAM-3310 granted access for DB_USER_R (MySQL)
* Wed Jul 10 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.30-1%{?dist}
- SAM-3309 sync OPS_MONITOR_CRITICAL profile in ops-monitor boxes
* Tue Jul 9 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.29-1%{?dist}
- SAM-3303 config_mysql modifed to set event_scheduler = ON properly
* Mon Jun 24 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.28-1%{?dist}
- SAM-3301 config_mrs_probes and config_opsmonitor_localdb invoked before config_ncg
* Wed May 22 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.27-1%{?dist}
- SAM-3034 MRS probes disabled by default
* Mon May 13 2013 Emir Imamagic <eimamagi@srce.hr> - 1.10.26-1%{?dist}
- SAM-3105 Integrate ARC probes
* Mon May 13 2013 Emir Imamagic <eimamagi@srce.hr> - 1.10.25-1%{?dist}
- SAM-3272 Remove variable ENABLE_ARC_PROBES
* Mon May 6 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.24-1%{?dist}
- SAM-3034 changed mrs_probes configuration
* Mon May 6 2013 Emir Imamagic <eimamagi@srce.hr> - 1.10.23-1%{?dist}
- SAM-3264 Update Yaim functions with new test names
* Thu May 2 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.22-1%{?dist}
- SAM-3034 config-database loads timezone info into MySQL
* Thu Mar 28 2013 Marian Babik <marian.babik@cern.ch> - 1.10.21-1%{?dist}
- SAM-3242 yaim: remove auto-tagging from config_poem
* Thu Mar 14 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.20-1%{?dist}
- SAM-3205 Fixed problem with installations from scratch (Oracle)
* Wed Mar 13 2013 Jacobo Tarragon <jacobo.tarragon.cros@cern.ch> - 1.10.19-1%{?dist}
- SAM-3033 remove dax configuration
* Tue Mar 12 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.19-1%{?dist}
- SAM-3231 added db grants in MySQL for _W account
* Thu Mar 7 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.18-1%{?dist}
- SAM-3205 improved error handler in config_database (Oracle)
* Fri Mar 1 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.17-1%{?dist}
- SAM-3205 config_database for MySQL and Oracle
* Mon Feb 25 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.16-1%{?dist}
- SAM-3214 backup of /etc/ncg/ncg-localdb.d/mrs-probes is not needed
- SAM-3195 msg-to-handler is stopped in config_stop_services abd started in config_msg_to_queue
- SAM-3205 DB actions (MySQL) included in yaim
* Wed Feb 13 2013 Anastasios Andronidis <andronat@grid.auth.gr> - 1.10.15-2%{?dist}
- Fix SAM-3159 - exit code handling
* Mon Feb 11 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.15-1%{?dist}
- SAM-3196 start/stop services doesn't work for sam-gridmon (nodetype is SAM_GRIDMON not NAGIOS_WEB)
* Fri Feb 08 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.14-1%{?dist}
- SAM-3121 confusing YAIM message (about db backups) removed from ATP, MRS and POEM
* Tue Feb 05 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.13-1%{?dist}
- SAM-3193 configure SSL landing page
* Fri Feb 01 2013 Jacobo Tarragon <jacobo.tarragon.cros@cern.ch> - 1.10.12-2%{?dist}
- SAM-3178 new mywlcg variable for VO reports
* Thu Jan 31 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.12-1%{?dist}
- SAM-3184 new MRS version (1.18)
* Wed Jan 30  2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.11-1%{?dist}
- SAM-3159 Fixed typo in config_voms2htpasswd
* Thu Jan 24 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.10-1%{?dist}
- SAM-3179 Added version 1.20 of ATP (MySQL)
* Wed Jan 23 2013 Pedro Andrade <pedro.andrade@cern.ch> - 1.10.9-1%{?dist}
- SAM-3142 /etc/atp/vo_feeds.conf properly created for VO names with more than one '.'
* Tue Jan 22 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.7-1%{?dist}
- SAM-3171 configure landing page
- SAM-3040 MrsCheckDBInserts and MrsCheckDBInsertsDetailed were disabled, since they don't work in Update-20: SAM-3035, SAM-3034
* Mon Jan 21 2013 Marian Babik <marian.babik@cern.ch> - 1.10.5-1%{?dist}
- SAM-3089 Remove nagios-ggus-cert dependency from perl-GridMon
* Fri Jan 11 2013 Paloma Fuente <pfuentef@cern.ch> - 1.10.4-1%{?dist}
- SAM-3165 added configurable tmp directory for MySQL
* Fri Dec 14 2012 Paloma Fuente <pfuentef@cern.ch> - 1.10.3-1%{?dist}
- SAM-3097 removed voms2htpasswd from glite-sam_gridmon
* Mon Dec 10 2012 Paloma Fuente <pfuentef@cern.ch> - 1.10.2-1%{?dist}
- SAM-3121 db backup is no longer automated, to do the backup config_mysql_backup needs to be run
* Fri Dec 07 2012 Paloma Fuente <pfuentef@cern.ch> - 1.10.1-1%{?dist}
- SAM-3121 make DB backup optional + consolidation of DB backups
- SAM-3101 change glite-NAGIOS yaim nodetype to SAM_NAGIOS
- SAM-3138 change glite-NAGIOS_WEB yaim nodetype to SAM_GRIDMON
- SAM-3097 removed voms2htpasswd from sam-gridmon
* Thu Dec 06 2012 Emir Imamagic <eimamagi@srce.hr> - 1.9.18-1%{?dist}
- SAM-2655 Proxies generated by hr.srce.GridProxy-Get should be longer
* Tue Dec 05 2012 Wojciech Lapka <Wojciech.Lapka@cern.ch> - 1.9.17-1%{?dist}
- SAM-3133 New yaim variables for configuration of Nagios notifications 
* Tue Dec 04 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.9.16-1%{?dist}
- SAM-3126 yaim: MSG_BROKER_CACHE_HOST default is not set for sam-nagios
* Mon Dec 03 2012 Paloma Fuente <pfuentef@cern.ch> - 1.9.15-1%{?dist}
- SAM-2102 consolidation of httpd actions
* Mon Dec 03 2012 Jacobo Tarragon <jacobo.tarragon.cros@cern.ch> - 1.9.14
- SAM-3102 enable mywlcg trends configuration
* Thu Nov 29 2012 Paloma Fuente <pfuentef@cern.ch> - 1.9.12-1%{?dist}
- SAM-3126 removed MSG_BROKER_CACHE_HOST default value for VO-nagioses (egi-2.msg.cern.ch)
* Thu Nov 29 2012 Emir Imamagic <eimamagi@srce.hr> - 1.9.10-1%{?dist}
- SAM-3018 Optimize Java truststore generation
* Tue Nov 27 2012 Paloma Fuente <pfuentef@cern.ch> - 1.9.9-1%{?dist}
- SAM-3125 new MRS version (1.17) for UP-20
* Tue Nov 27 2012 Paloma Fuente <pfuentef@cern.ch> - 1.9.7-1%{?dist}
- SAM-1843 modified config_nrpe_share with return instead of exit and config_httpd_end moved after config_nrpe_share
* Fri Nov 23 2012 Paloma Fuente <pfuentef@cern.ch> - 1.9.6-1%{?dist}
- SAM-3103 added new yaim variable NAGIOS_ENABLE_ANY_DN to enable/disable of any DN to run Nagios commands
* Thu Nov 22 2012 Paloma Fuente <pfuentef@cern.ch> - 1.9.5-1%{?dist}
- SAM-3065 added NAGIOS_ROLE = "opsmonitor" and removed previous opsmonitor nodetype
* Tue Nov 20 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.9.3-1%{?dist}
- Fixed SAM-3096 Update gstat-prod link
* Tue Nov 13 2012 Robert Veznaver <robert.veznaver@cern.ch> - 1.9.1-1%{?dist}
- SAM-3084 fixed syntax error in config_mrs_probes
* Mon Nov 12 2012 Paloma Fuente <pfuentef@cern.ch> - 1.9.0-1%{?dist}
- SAM-3066 configured msg-consume2db for new opsmonitor configuration
* Tue Oct 30 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.47-1%{?dist}
- SAM-3037 YAIM variables used to configure MRS probes, should be uppercase
* Mon Oct 29 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.46-1%{?dist}
- SAM-3051 setup MySQL defaults for reader and writer accounts
* Fri Oct 26 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.45-1%{?dist}
- SAM-3045 removed @add_algorithms.sql from config_ace and 'noreplaces' from config file
* Wed Oct 24 2012 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.8.44-1%{?dist}
- SAM-3040 disable metrics: ch.cern.sam.MrsCheckDBInserts and ch.cern.sam.MrsCheckDBInsertsDetailed
* Tue Oct 16 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.8.43-1%{?dist}
- SAAM-3017 atp testcase failing in samval008
* Tue Oct 16 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.8.42-1%{?dist}
- SAM-3016 remove config_openreports from node-info.d/glite-nagios_web
* Sat Oct 13 2012 Emir Imamagic <eimamagi@srce.hr> - 1.8.41-1%{?dist}
- SAM-3014 Yaim changes related to ops-monitor
* Thu Oct 11 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.8.40-1%{?dist}
- SAM-3008 Make OSG msg destination configurable via YAIM
* Tue Sep 26 2012 Marian Babik <marian.babik@cern.ch> - 1.8.39-1%{?dist}
- SAM-2974 poem_sync not running in prod and preprod sam-nagios
* Mon Sep 25 2012 Jacobo Tarragon <jacobo.tarragon.cros@cern.ch> - 1.8.38-1%{?dist}
- SAM-2957 Avoid ACE algorithm bootstrapping if no profiles are present
* Mon Sep 17 2012 Robert Veznaver <robert.veznaver@cern.ch> - 1.8.36-1%{?dist}
- Fixed a typo in the update script for YAIM which caused SAM-2965
* Thu Sep 13 2012 Jacobo Tarragón Cros <jacobo.tarragon.cros@cern.ch> - 1.8.35-1%{?dist}
- Fixed ACE algorithm profile mapping bootstrap
* Tue Aug 21 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.8.34-1%{?dist}
- Added ATP mysql configuration for v_1_19
* Thu Aug 16 2012 Kislay Bhatt <kislay@barc.gov.in> - 1.8.33-1%{?dist}
- SAM-2911 Owner of /var/run/dax is not set by config_dax
* Fri Aug 3 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.32-1%{?dist}
- SAM-2890 move MySQL manual steps to YAIM
* Fri Aug 3 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.30-1%{?dist}
- SAM-2884 fixed db_user variable in send_to_db.ini
* Fri Aug 3 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.30-1%{?dist}
- SAM-2883 added missing character + 'http://' string in config_mrs_probes
* Thu Jul 26 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.28-1%{?dist}
- SAM-2855 mysqldump includes triggers, procedures, functions and events (ATP and MRS)
- stop MySQL events during upgrades
* Wed Jul 25 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.27-1%{?dist}
- SAM-2855 mysqldump includes procedures, functions and events
- Added mysql version 1.16
* Wed Jul 25 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.26-1%{?dist}
- SAM-2839 rename PATH variable in config_mrs_to_poem
- SAM-2841 in config_mrs_probes: EOF at the beginning of the line and call function after config_ncg and config_sam_sync 
* Tue Jul 24 2012 Marian Babik <marian.babik@cern.ch> - 1.8.25-1%{?dist}
- SAM-2838 mrs yaim variable: MRS_BOOTSTRAPPER_timeout is not set
* Mon Jul 23 2012 Marian Babik <marian.babik@cern.ch> - 1.8.24-1%{?dist}
- SAM-2825 MRS bootstrapper is failing (config_mrs_bootstrapper: command not found) 
- SAM-2820 Problem with GridMon::MsgHandler::ConfigOutput handler
* Mon Jul 23 2012 Marian Babik <marian.babik@cern.ch> - 1.8.22-1%{?dist}
- SAM-2834 poem: Change to Django-1.3
- SAM-2825 MRS bootstrapper is failing (config_mrs_bootstrapper: command not found) 
* Fri Jul 20 2012 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.8.21-1%{?dist}
- SAM-2672 Remove resource BDII packages and configuration
* Fri Jul 20 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.20-1%{?dist}
- SAM-2825 Fixed timeout problem in MRS Bootstrapper by adding timeout parameter
* Thu Jul 19 2012 Kislay Bhatt <kislay@barc.gov.in> - 1.8.19-1%{?dist}
- SAM-2818 config_dax leaves a temporary file in the current working directory
* Wed Jul 18 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.18-1%{?dist}
- SAM-2346 Enable MRS metrics on sam nagios nodes
* Wed Jul 18 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.17-1%{?dist}
- SAM-2814 mrs fix to avoid problems with dax (https://tomtools.cern.ch/jira/browse/SAM-2818)
* Tue Jul 17 2012 Emir Imamagic <eimamagi@srce.hr> - 1.8.16-1%{?dist}
- SAM-2816 fix: mrs-bootstrapper does not need DB connection data
* Tue Jul 17 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.15-1%{?dist}
- SAM-2814 mrs fix to avoid problems with dax (https://tomtools.cern.ch/jira/browse/SAM-2818)
* Tue Jul 17 2012 Marian Babik <marian.babik@cern.ch> - 1.8.14-1%{?dist}
- SAM-2813 yaim: config_httpd_wsgi fails due to syntax 
* Tue Jul 17 2012 Emir Imamagic <eimamagi@srce.hr> - 1.8.13-1%{?dist}
- SAM-2797 fix: config_ncg appends BACKUP_INSTANCE each time yaim is executed
* Mon Jul 16 2012 Marian Babik <marian.babik@cern.ch> - 1.8.12-1%{?dist}
- SAM-2708 fix: enable mod_wsgi.so in /etc/httpd/conf.d/wsgi.conf
* Fri Jul 13 2012 Marian Babik <marian.babik@cern.ch> - 1.8.11-1%{?dist}
- SAM-2472 Add tagging mechanism to POEM
* Thu Jul 12 2012 Vibhuti Duggal <vibhuti@cern.ch> - 1.8.9-1%{?dist}
- SAM-2799 glite-yaim-nagios: syntax error in some mywlcg defaults
* Thu Jul 5 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.8-1%{?dist}
- SAM-2684 added mrs-log
* Mon Jul 2 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.7-1%{?dist}
- Added upgrade_triggers_from_1_14_to_1_15.sql to MRS 1.15
* Tue Jun 26 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.6-1%{?dist}
- SAM-2479 new mrs-bootstrapper for MySQL and Oracle
- SAM-2762 added locking mechanism to MRS bootstrapper
* Mon Jun 25 2012 Vibhuti Duggal <vibhuti@cern.ch> - 1.8.5-1%{?dist}
- Turning ATP view on and off in MyWLCG
- setting email ids to which reports would be send 
* Wed Jun 20 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.4-1%{?dist}
- SAM-2761 first execute MRS bootstrapper, then create cron job
* Mon Jun 18 2012 Paloma Fuente <pfuentef@cern.ch> - 1.8.3-1%{?dist}
- MRS bootstrapper cron job will run once per hour
* Mon Jun 18 2012 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.8.2-1%{?dist}
- SAM-2536 Configuration for node sam-sitenagios
* Tue Jun 12 2012 Marian Babik <marian.babik@cern.ch> - 1.7.52-1%{?dist}
- SAM-2736	poem_sync: introduce yaim variable
* Tue Jun 06 2012 Marian Babik <marian.babik@cern.ch> - 1.7.51-1%{?dist}
- SAM-2723 config_poem_sync: change permissions setttings
* Tue Jun 05 2012 Emir Imamagic <eimamagi@srce.hr> - 1.7.50-1%{?dist}
- SAM-2579 Enable switching on Dashboard on VO instances
* Mon Jun 04 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.49-1%{?dist}
- mrs: New schema version: 1.15
* Mon Jun 04 2012 Vibhuti Duggal <vibhuti.duggal@cern.ch> - 1.7.48-1%{?dist}
- SAM-2690 mywlcg: lower the number of sessions opened by Django/HTTPD
* Fri Jun 01 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.7.47-1%{?dist}
- Added mysql database upgrade to ver_1_18
* Wed May 30 2012 Vibhuti Duggal <vibhuti.duggal@cern.ch> - 1.7.46-1%{?dist}
- SAM-2682 mywlcg: authentication in report generation
* Fri May 25 2012 Vibhuti Duggal <vibhuti.duggal@cern.ch> - 1.7.45-1%{?dist}
- SAM-2687 Make report module optional 
- SAM-2678 mywlcg: update report names and associated profile 
* Fri May 04 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.7.43-1%{?dist}
- Don't use msg-utils on sam-gridmon (SAM-2109)
- Remove MDDB configuration (SAM-2659)
* Tue May 1 2012 Vibhuti Duggal <vibhuti.duggal@cern.ch> - 1.7.41-1%{?dist}
- SAM-2460 Enabling Access-Control-Allow-Origin
* Tue Apr 24 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.40-1%{?dist}
- SAM-2650 new mrs db version 1.14
* Thu Apr 18 2012 Jacobo Tarragón <jacobo.tarragon.cros@cern.ch> - 1.7.38-1%{?dist}
- SAM-2625 Improve ace-poem migration check
* Tue Apr 17 2012 Marian Babik <marian.babik@cern.ch> - 1.7.37-1%{?dist}
- SAM-2622 poem (0.8.20-1) logging configuration
* Tue Apr 17 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.36-1%{?dist}
- SAM-2637 mrs-bootstrapper cron job was modified & added first call of mrs-bootstrapper in yaim
* Mon Apr 16 2012 Urvashi Karnani <urvashi.karnani@cern.ch> - 1.7.35-1%{?dist}
- SAM-2629 unable to login to openreports in samval010
* Mon Apr 16 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.34-1%{?dist}
- SAM-2626 changed mrs bootstrapper cron job
* Thu Apr 12 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.32-1%{?dist}
- SAM-2618 mrs bootstrapper gets db info from /etc/mrs.d/oracle-mrs.conf
* Thu Apr 12 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.32-1%{?dist}
- SAM-2618 mrs bootstrapper gets db info from /etc/mrs.d/oracle-mrs.conf
* Thu Apr 12 2012 Nirbhay Chandorkar <nirbhay.chandorkar@cern.ch> - 1.7.31-1%{?dist}
- SAM-2620 mywlcg-1.2.3-1 / glite-yaim-nagios-1.7.28-1 error
- SAM-2624 glite-yaim-nagios 1.7.29-1:glite-nagios.pre
* Thu Apr 12 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.30-1%{?dist}
- SAM-2618 mrs-bootstrapper cron job uses /var/log/mrs/mrs-bootstrapper,log and is run as root
- SAM-2598 yaim checks if MRS migration to POEM was done, if not: run script MDDB2POEM and mark poem_sync_*_id columns as NOT NULL
* Thu Apr 12 2012 Urvashi Karnani <urvashi.karnani@cern.ch> - 1.7.29-1%{?dist}
- SAM-2621 Change the templates to only cover ACE/POEM and current DB
* Fri Mar 30 2012 Jacobo Tarragón <jacobo.tarragon.cros@cern.ch> - 1.7.28-1%{?dist}
- SAM-2593 Assert that ace profiles can be mapped to poem
* Fri Mar 30 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.27-1%{?dist}
- SAM-2585 removed usage of NCG_POEM_ROOT_URL in config_mrs_bootstrapper
* Fri Mar 30 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.26-1%{?dist}
- SAM-2588 removed execution permission (mrs_bootstrapper cron job)
* Thu Mar 29 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.24-1%{?dist}
- SAM-2585 mrs bootstrapper uses NCG_POEM_ROOT_URL
- SAM-2473 add call to MRS bootstrapper in /usr/sbin/ncg.reload.sh
* Thu Mar 29 2012 Wojciech Lapka <Wojciech.Lapka@cern.ch> - 1.7.23-1%{?dist}
- SAM-2586 and SAM-2587
* Wed Mar 28 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.22-1%{?dist}
- SAM-2567 config_mrs_bootstrapper writes incorrect cron job
* Tue Mar 27 2012 Wojciech Lapka <Wojciech.Lapka@cern.ch> - 1.7.21-1%{?dist}
- SAM-2571 Removed variable NCG_MDDB_SUPPORTED_PROFILES
* Tue Mar 27 2012 Emir Imamagic <eimamagi@srce.hr> - 1.7.20-1%{?dist}
- SAM-2436 Switch NCG to use local POEM
- SAM-2566 glite-yaim-nagios modifications related to POEM bootstrapping
* Thu Mar 27 2012 Urvashi Karnani <urvashi.karnani@cern.ch> - 1.7.19-1%{?dist}
- SAM-2562 unable to find create_populate_openreport_tables.sql on samval010
* Thu Mar 26 2012 Urvashi Karnani <urvashi.karnani@cern.ch> - 1.7.18-1%{?dist}
- SAM-2555 NV faling with openreports ERROR on samval006
* Fri Mar 23 2012 Emir Imamagic <eimamagi@srce.hr> - 1.7.17-1%{?dist}
- SAM-2541 Enable filtering of remote metrics
* Fri Mar 23 2012 Marian Babik <marian.babik@cern.ch> - 1.7.16-1%{?dist}
- SAM-2543 Set default POEM_ATP_ROOT_URL on SAM-Nagios
- SAM-2537 config_poem_sync: should fail yaim if unable to configure namespaces properly
- SAM-2388 atp_synchro and poem_sync init.d scripts signal themselves on service stop
* Thu Mar 22 2012 Urvashi Karnani <urvashi.karnani@cern.ch> - 1.7.15-1%{?dist}
- SAM-2499 Openreports DB connection problem
* Thu Mar 22 2012 Emir Imamagic <eimamagi@srce.hr> - 1.7.14-1%{?dist}
- SAM-2535 Improve msg-to-handler configuration
* Wed Mar 21 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.7.13-1%{?dist}
- SAM-2490 atp_synchro and poem_sync init.d scripts signal themselves on service stop
* Wed Mar 21 2012 Kislay Bhatt <kislay@barc.gov.in> - 1.7.11-1%{?dist}
- SAM-2528: Removed config_dax from glite-nagios
* Tue Mar 20 2012 Emir Imamagic <eimamagi@srce.hr> - 1.7.10-1%{?dist}
- SAM-2516 Remove Yaim variables related to DownCollector
- SAM-2525 glite-yaim-nagios modifications related to sam-sync
* Mon Mar 19 2012 Jacobo Tarragón <jacobo.tarragon.cros@cern.ch> - 1.7.8-1%{?dist}
- SAM-2455 Added check to see if ace migration to poem is needed
* Thu Mar 15 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.6-1%{?dist}
- SAM-2497 added missing mig2POEM file
* Wed Mar 14 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.6-1%{?dist}
- SAM-2488 fixed config_mrs_bootstrapper (variables were removed)
* Wed Mar 14 2012 Vibhuti Duggal <Vibhuti.Duggal@cern.ch> - 1.7.5-1%{?dist}
- Created new variable MYWLCG_DATA_TRANSFER to make Data Transfer module optional in MyWLCG
* Tue Mar 13 2012 Paloma Fuente <pfuentef@cern.ch> - 1.7.4-1%{?dist}
- Fixed date in changelog
* Tue Mar 13 2012 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.7.3-1%{?dist}
- SAM-2486	mrs: New schema version: 1.13
* Tue Mar 13 2012 Emir Imamagic <eimamagi@srce.hr> - 1.7.2-1%{?dist}
- SAM-2473 add call to MRS bootstrapper in /usr/sbin/ncg.reload.sh 
* Sun Mar 11 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.7.1-1%{?dist}
- Modified atp mysql configuration for atp schema 17
* Thu Mar 08 2012 Emir Imamagic <eimamagi@srce.hr> - 1.7.0-1%{?dist}
- Bumped minor release to 7
- SAM-2136 Remove ATP, MDDB and MRS sync calls from ncg.reload.sh
- SAM-2475 Remove SAM topology module
* Wed Mar 07 2012 Kislay Bhatt <kislay@barc.gov.in> - 1.6.36-2%{?dist}
- Made an entry of MSGhost variable in glite-nagios_web.pre
* Tue Mar 06 2012 Kislay Bhatt <kislay@barc.gov.in> - 1.6.35-1%{?dist}
- SAM-2456 dax and yaim configuration on sam-gridmon: made entry of config_dax in glite-nagios_web
* Mon Mar 05 2012 Urvashi Karnani <urvashi.karnani@cern.ch> - 1.6.34-1%{?dist}
- SAM-2352 Setting username and password for openreports via yaim
* Wed Feb 29 2012 Marian Babik <marian.babik@cern.ch> - 1.6.33-1%{?dist}
- SAM-2429 poem: generate new bootstrapping file for the nightly validation
* Tue Feb 27 2012 Marian Babik <marian.babik@cern.ch> - 1.6.32-1%{?dist}
- SAM-2315 poem_sync: call to urllib.urlopen blocks and never returns
* Tue Feb 27 2012 Urvashi Karnani <urvashi.karnani@cern.ch> - 1.6.31-1%{?dist}
- SAM-2352 Setting username and password for datasource in openreports via yaim
* Fri Feb 22 2012 Marian Babik <marian.babik@cern.ch> - 1.6.30-1%{?dist}
- SAM-2310 poem_sync: Fix poem_sync output redirection in yaim
- SAM-2417 poem_sync: config_poem_sync should fail yaim if unable to boostrap empty database
* Mon Feb 20 2012 Kislay Bhatt <kislay.bhatt@cern.ch> - 1.6.29-1%{?dist}
- SAM-2420 "exit" replaced with "return" in config_dax 
* Wed Feb 15 2012 Kislay Bhatt <kislay.bhatt@cern.ch> - 1.6.28-1%{?dist}
- SAM-2415 config_dax fails yaim
* Fri Feb 10 2012 Kislay Bhatt <kislay.bhatt@cern.ch> - 1.6.26-1%{?dist}
- SAM-1826 Implementation of Data Transfer Computation Engine (DAX)
* Tue Jan 31 2012 Urvashi Karnani <urvashi.karnani@cern.ch> - 1.6.25-1%{?dist}
- SAM-2356 add oracle location to /etc/tomcat5/tomcat5.conf
* Mon Jan 30 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.6.18-24%{?dist}
- SAM-2362 yaim generated vo_feeds is incorrect
* Mon Jan 30 2012 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.6.23-1%{?dist}
- SAM-2359 ACE to POEM migration script is never called
* Fri Jan 27 2012 Emir Imamagic <eimamagi@srce.hr> - 1.6.22-2%{?dist}
- SAM-2260 Add configuration changes to yaim function
* Tue Jan 24 2012 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.6.19-1%{?dist}
- SAM-2338 openreports not working on GridMon machines
* Mon Jan 23 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.6.18-1%{?dist}
- SAM-2333 atp: initial execution of atp_sync is necessary during yaim
* Mon Jan 23 2012 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.6.18-1%{?dist}
- SAM-2331 yaim function config_stop_services tries to stop some non existent services on NAGIOS_WEB
* Mon Jan 23 2012 Kumar Vaibhav <Vaibhav.Kumar@cern.ch> 1.6.17-1%{?dist}
- SAM-2303 Add Yaim function for ACE migration to POEM
- SAM-2298 Changed YAIM function to start ACe at 15 minute of the hour
* Fri Jan 20 2012 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.6.16-1%{?dist}
- SAM-1992 Add Yaim function for stopping services
* Thu Jan 19 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.6.15-1%{?dist}
- SAM-2054 Create service for cronjob org.egee.ATPSync
* Thu Jan 19 2012 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.6.14-1%{dist}
- SAM-2302: MDDB2POEM - migration of mrs data
* Mon Jan 16 2012 Marian Babik <marian.babik@cern.ch> - 1.6.13-1%{dist}
- SAM-2304 poem: import mddb profiles in yaim
* Thu Jan 12 2012 Marian Babik <marian.babik@cern.ch> - 1.6.12-1%{dist}
- SAM-2299 poem_sync: Add ATP URL to config_poem_sync
* Wed Jan 11 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.6.11-1%{?dist}
- SAM-2297 Support definition of multiple destinations in msg-consume2db.conf
* Tue Jan 10 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.6.10-1%{?dist}
- SAM-2284 internal release 15.1 and release 16 atp db version
* Wed Dec 21 2011 Marian Babik <marian.babik@cern.ch> - 1.6.9-1%{?dist}
- Removing poem cron
* Fri Dec 16 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.6.8-1%{?dist}
- SAM-2265	mrs: New schema version: 1.12
* Wed Dec 14 2011 Marian Babik <marian.babik@cern.ch> - 1.6.7-1%{?dist}
- SAM-2058	poem: integrate TIME_ZONE in the configuration
- SAM-2063	poem_sync: establish mechanism to restrict which profiles are to be synchronized
- SAM-2216  poem: fix glite-yaim-nagios config
* Thu Dec 08 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.6.6-1%{dist}
- Patch built on to of Update-15 containing only:
- SAM-2236 Problem parsing voms servers list and contacting invalid servers
- Added missing configuration element to atp_sychro.conf
- SAM-2118 Add Users information required by NCG and voms2htpasswd
- SAM-2155 NCG shouldn't call old SAM PI to get metric results
* Wed Dec 07 2011 Pedro Andrade<pedro.andrade@cern.ch> - 1.6.5-1%{?dist}
- SAM-2236 Problem parsing voms servers list and contacting invalid servers
* Mon Dec 05 2011 Pedro Andrade<pedro.andrade@cern.ch> - 1.6.4-1%{?dist}
- Added missing configuration element to atp_sychro.conf
* Sun Dec 04 2011 Pedro Andrade<pedro.andrade@cern.ch> - 1.6.3-1%{?dist}
- SAM-2118 Add Users information required by NCG and voms2htpasswd
* Wed Nov 23 2011 Kumar Vaibhav <vaibhav.kumar@cern.ch> - 1.6.2-1%{dist}
- SAM-2186 Changed the probe implemantation 
- SAM-2063 Slective Profile synchronization enabled
- To work with new poem_sync package
* Wed Nov 16 2011 Kumar Vaibhav <vaibhav.kumar@cern.ch> - 1.6.1-1%{dist}
- SAM-2191 upgrade of poem_sync schema to 1.2
* Thu Nov 10 2011 Emir Imamagic <eimamagi@srce.hr> - 1.6.0-1%{dist}
- SAM-2155 NCG shouldn't call old SAM PI to get metric results
* Thu Nov 03 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.5.30-1%{dist}
- SAM-2143 - Error during MDDB DB upgrade
* Mon Oct 31 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.5.28-1%{dist}
- SAM-2126 - Kill msg-consume2db (Workaround for MIG-210)
* Wed Oct 26 2011 Massimo Paladin <Massimo.Paladin@cern.ch> - 1.5.26-1%{?dist}
- SAM-2121 - Update ops-monitor yaim configuration with latest changes
* Sun Oct 23 2011 Pedro Andrade<pedro.andrade@cern.ch> - 1.5.25-1%{?dist}
- SAM-2089 ATP log doesn't keep history of executions
- SAM-1818 Add suport for OSG preprod services
* Sat Oct 22 2011 Emir Imamagic <eimamagi@srce.hr> - 1.5.23-1%{dist}
- SAM-2066 - Move ARC metrics to default profile
- SAM-2067 - Control send-to-dashboard on backup instance
* Fri Oct 21 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.5.22-1%{dist}
- SAM-2079 - New MRS schema
* Fri Oct 21 2011 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.5.21-1%{dist}
- SAM-1256 Nagios GlueService publisher could add GLUE 2 publication
* Fri Oct 21 2011 Kumar Vaibhav <vaibhav.kumar@cern.ch> - 1.5.20-2%{dist}
- SAM-2075 poem_sync: Fixed permission change of log file.
* Wed Oct 19 2011 Marian Babik <marian.babik@cern.ch> - 1.5.19-1%{dist}
- SAM-2074 poem: set permissions on logging directory
* Tue Oct 18 2011 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.5.18-1%{dist}
- SAM-2064 Fixed org.sam.CREAMCE-DirectJobState config for uncertified sites
* Tue Oct 18 2011 Marian Babik <marian.babik@cern.ch> - 1.5.17-1%{dist}
- SAM-2062 poem: set yaim defaults
* Tue Oct 18 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.5.16-1%{dist}
- SAM-2056, SAM-2057
* Fri Oct 14 2011 Vibhuti Duggal<vibhuti.duggal@cern.ch> - 1.5.15-3%{dist}
- modified config_awstats
* Mon Oct 10 2011 Vibhuti Duggal<vibhuti.duggal@cern.ch> - 1.5.15-2%{dist}
- modified config_awstats to Order allow,deny
* Mon Oct 10 2011 Vibhuti Duggal<vibhuti.duggal@cern.ch> - 1.5.15-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1730
* Sat Oct 08 2011 Marian Babik <marian.babik@cern.ch> - 1.5.14-1%{dist}
- removed config_awstat from sam-nagios
- various bugfixes in config_poem_sync
* Sat Oct 08 2011 Marian Babik <marian.babik@cern.ch> - 1.5.13-1%{dist}
- schema creation fixed in config_poem_sync_mysql
* Fri Oct 07 2011 Marian Babik <marian.babik@cern.ch> - 1.5.12-1%{dist}
- added config_awstats to sam-gridmon nodetype
- various bugfixes in config_poem_sync_mysql
* Thu Oct 06 2011 Marian Babik <marian.babik@cern.ch> - 1.5.11-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-2005 - minor fixes
* Thu Oct 06 2011 Pedro Andrade<pedro.andrade@cern.ch> - 1.5.10-1%{dist}
- Added configuration of atp mysql schema v_1_14
* Wed Oct 05 2011 Marian Babik <marian.babik@cern.ch> - 1.5.9-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-2005
* Fri Sep 30 2011 Emir Imamagic <eimamagi@srce.hr> - 1.5.8-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1907
* Wed Sep 21 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.5.7-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1943
* Fri Sep 16 2011 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.5.6-1%{dist}
- Fixed SAM-1886 my.cnf is written in wrong location
* Fri Sep 16 2011 Emir Imamagic <eimamagi@srce.hr> - 1.5.5-1%{dist}
- Fixed SAM-1423 Integration of UNICORE probes into SAM
* Thu Sep 15 2011 Pedro Andrade<pedro.andrade@cern.ch> - 1.5.3-1%{dist}
- Fixed SAM-1922 ATP_VO_FEED_VO cannot be mandatory for VO SAM-Nagios and SAM-Gridmon node types
* Thu Sep 15 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.5.2-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1921
* Tue Sep 13 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.5.1-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1904
* Mon Sep 12 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.5.0-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1903
* Wed Sep 07 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.4.19-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1877
- https://tomtools.cern.ch/jira/browse/SAM-1868
* Fri Sep 02 2011 Pedro Andrade<pedro.andrade@cern.ch> - 1.4.17-1%{dist}
- Fixed SAM-1834 Package vo feed xsd in atp
- Fixed SAM-1839 config_atp: ATP VO feed configuration
- Added ATP mysql database upgrade scripts for v_1_13
* Tue Aug 16 2011 Wojciech Lapka<wojciech.lapka@cern.ch> - 1.4.16-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1788
* Tue Aug 16 2011 Wojciech Lapka<wojciech.lapka@cern.ch> - 1.4.14-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1790
* Tue Aug 16 2011 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.4.12-1%{dist}
- SAM-1675: Adding event-scheduler to /etc/my.cnf
- SAM-1587,SAM-1769: config_ncg syntax error
* Sat Aug 13 2011 Emir Imamagic <eimamagi@srce.hr> - 1.4.11-1%{dist}
- SAM-1778: Add variable for setting backup instance
* Wed Aug 3 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.4.10-2%{dist}
- SAM-1751 fail to upgrade atp mysql schema from 1.11 to 1.12
* Tue Aug 2 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.4.10-1%{dist}
 - Modified config_atp and config_atp_mysql function for SAM-UPDATE-13
* Thu Jun 30 2011 Emir Imamagic <eimamagi@srce.hr> - 1.4.9-1%{dist}
- SAM-1153: config_nagios_cgi: grep: Invalid back reference
- SAM-1677: Configure send-to-dashboard init.d script for NGI and ROC instances
* Tue Jun 28 2011 Wojciech Lapka<wojciech.lapka@cern.ch> - 1.4.8-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1380
* Sun Jun 19 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.7-2%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1637
* Fri Jun 16 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.4.7-1%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1635
* Thu Jun 16 2011 Vibhuti Duggal<vibhuti.duggal@cern.ch> - 1.4.4-2%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1635
* Fri Jun 10 2011 Vibhuti Duggal<vibhuti.duggal@cern.ch> - 1.4.4-1%{dist}
- Added yaim configuration for MyWLCG
* Fri Jun 10 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.3-4%{dist}
- modified config_atp and config_atp_mysql functions
* Mon May 30 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.3-2%{dist}
- SAM-1605 yaim repeatedly tries to upgrade atp db schema to 1.10
* Mon May 30 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.4.3-1%{dist}
- SAM-1604 config_atp - wrong configuration of block "run_synchronizer
* Mon May 30 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.2-9%{dist}
- SAM-1605 yaim repeatedly tries to upgrade atp db schema to 1.10
* Mon May 30 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.2-8%{dist}
- SAM-1604 config_atp - wrong configuration of block "run_synchronizer
* Thu May 26 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.4.2-7%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1592
- https://tomtools.cern.ch/jira/browse/SAM-1591
- https://tomtools.cern.ch/jira/browse/SAM-1590
- https://tomtools.cern.ch/jira/browse/SAM-1589
* Wed May 25 2011 Marian Babik <marian.babik@cern.ch> - 1.4.2-6%{dist}
- https://tomtools.cern.ch/jira/browse/SAM-1584
* Wed May 25 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.2-5%{dist}
- SAM-1456 Switch to new Operations portal VO card PI
* Tue May 24 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.2-4%{dist}
- SAM-1528 config_atp_mysql fails if db doesn't exist
* Mon May 23 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.2-3%{dist}
- SAM-1559 Improvement to atp_synchro.conf 
* Wed May 18 2011 Marian Babik <marian.babik@gmail.com> - 1.4.2-2%{dist}
- SAM-1402	/etc/cron.d/refresh-roles - restart services only if fetched file changed
- SAM-1469	Remove chkconfigs for msg-consume2db
- SAM-1520	Remove config_ace from glite-yaim-nagios (egee_nagios target)
- SAM-1547	Add yaim variables for nagios-roles/nagios-hosts URLs
* Tue May 17 2011 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.4.2-1%{dist}
- SAM-1541 UNCERTIFIED_SITES doesn't work for CREAM-CE
* Thu May 12 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.1-3%{dist}
- SAM-1528 config_atp_mysql fails if db doesn't exist
* Wed May 11 2011 Emir Imamagic <eimamagi@srce.hr> - 1.4.1-1%{?dist}
- SAM-973 glite-yaim-nagios - cleanup
- SAM-1023 Yaim Cleanup - fixup ROC_NAME usage
- SAM-1474 Enable setting GOCDB URL in Yaim
* Tue May 10 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.0-5%{dist}
- SAM-1493 Point atp sync to /etc/nagios/globus/host*.pem
- SAM-1473 Enable setting GOCDB URL in Yaim
* Mon May 09 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.4.0-4{?dist}
- SAM-1497 New version of metricstore schema (1.8)
* Wed May 5 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.4.0-3%{dist}
- modified code for SAM-1431 -Investigate ATP setup on NGI instances
* Mon May 2 2011 Emir Imamagic <eimamagi@srce.hr> - 1.4.0-1%{?dist}
- SAM-1470 Add variable NCG_LDAP_ADD_HOSTS for enabling adding hosts from BDII
- SAM-1434 Enable switching off GOCDB contacts in NCG
- SAM-1173 Expose CHECK_HOSTS in Yaim
- Bumped minor version for Update-11
* Mon May 2 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.3.2-8%{dist}
- modified code for SAM-1431 -Investigate ATP setup on NGI instances
* Fri Apr 29 2011 Joshi Pradyumna<pjoshi@cern.ch> - 1.3.2-6%{dist}
- added upgrade functions to config_atp_mysql
* Tue Apr 27 2011 Marian Babik <marian.babik@cern.ch> - 1.3.2-5%{dist}
- added POEM_DEBUG to defaults
* Wed Apr 27 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.3.2-4%{dist}
- SAM-1431 Investigate ATP setup on NGI instances
* Tue Apr 26 2011 Marian Babik <marian.babik@cern.ch> - 1.3.2-2%{dist}
- added config_poem to egee_nagios-web
* Mon Apr 18 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.3.2-1%{dist}
- added ver_1_10 in config_atp_mysql function
* Fri Apr 1 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.3.1-4%{dist}
- SAM-1375Problem with configuration (virtual_prefix) for OSG downtimes in ATP
* Fri Mar 25 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.3.1-3%{dist}
- SAM-1375Problem with configuration (virtual_prefix) for OSG downtimes in ATP
* Thu Mar 24 2011 Marian Babik <marian.babik@cern.ch> - 1.3.1-2%{dist}
- SAM-1377 n2ms yaim doesn't create cron jobs properly (refresh-roles)
* Wed Mar 23 2011 Emir Imamagic <eimamagi@srce.hr> - 1.3.1-1%{?dist}
- SAM-1371 Double starting of httpd between config_httpd_nagios and 
  config_httpd_end
- SAM-1369 Some checks on NCG_GOCDB_ROC_NAME in glite-yaim-nagios do allow 
  for spaces in the value
* Wed Mar 23 2011 Marian Babik <marian.babik@cern.ch> - 1.3.0-4%{dist}
- SAM-1351 Add configurable broker to config_consume2db
* Wed Mar 23 2011 Marian Babik <marian.babik@cern.ch> - 1.3.0-3%{dist}
- SAM-1240 grid-monitoring machines - problems with supevisord and msg-consume2db
- SAM-1251 ace packaging
* Tue Mar 22 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.3.0-2%{?dist}
- SAM-1358 New version of metricstore schema (1.6)
* Mon Mar 21 2011 Emir Imamagic <eimamagi@srce.hr> - 1.3.0-1%{?dist}
- SAM-1307 NCG_GOCDB_ROC_NAME - keyword for all NGIs
- SAM-1346 Yaim timeout variables should be passed to NCG
- Bumped minor version for Update-10
* Mon Mar 21 2011 Marian Babik <marian.babik@cern.ch> - 1.2.11-2%{dist}
- SAM-1336 consume2db: fixed /var/run/msg-consume2db/msg*.pid handling
* Fri Mar 18 2011 Emir Imamagic <eimamagi@srce.hr> - 1.2.11-1%{?dist}
- SAM-1333 ncg.reload.sh uses hardcoded timeout for atp and mddb sync
* Fri Mar 18 2011 Vaibhav.Kumar <vaibhav@cern.ch> - 1.2.10-11%{?dist}
- Added ACE Yaim Config files
* Wed Mar 9 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.2.10-10%{?dist}
- SAM-1319 ATP: ATP yaim config syntax error
* Mon Feb 28 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.2.10-9%{?dist}
- SAM-1296 restart of msg-consume2db on grid-monitoring boxes
- SAM-1287 msg-consume2db - Configurable client type via yaim
* Mon Feb 28 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.2.10-7%{?dist}
- SAM-1309 ATP: DB upgrade to 1.9 - problem when creating from scratch
* Sun Feb 27 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.2.10-5%{?dist}
-  modified config_atp_mysql function for atp-1.9 schema
* Mon Feb 21 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.2.10-4%{?dist}
- SAM-1213 ATP sync timeout needs to be configurable
- SAM-1148 ATP: synchronizer & config should accept any number of VO feeds
* Fri Feb 18 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.2.10-3%{?dist}
- SAM-1296 restart of msg-consume2db on grid-monitoring boxes
- SAM-1287 msg-consume2db - Configurable client type via yaim
* Wed Feb 16 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.2.10-2%{?dist}
- SAM-1222 grid-monitoring - configuration of consumers for OSG and HEP data
- SAM-1282 grid-monitoring - access rights on folder /etc/msg-consume2db/
* Fri Feb 11 2011 Emir Imamagic <eimamagi@srce.hr> - 1.2.10-1%{?dist}
- SAM-1146 NCG/yaim parameter for message broker configuration
* Fri Feb 4 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.2.9-10%{?dist}
- SAM-1230 -Installed capacity information in site_store_cap table is not correct
* Tue Feb 1 2011 David Horat <david.horat@cern.ch> - 1.2.9-1%{?dist}
- SAM-1142 yaim config for ACE
* Thu Jan 27 2011 Emir Imamagic <eimamagi@srce.hr> - 1.2.8-1%{?dist}
- SAM-1196 Apparent double start of httpd by yaim
* Wed Jan 26 2011 Emir Imamagic <eimamagi@srce.hr> - 1.2.7-1%{?dist}
- SAM-1192 ncg.conf malformed
* Tue Jan 25 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.2.6-1%{?dist}
- SAM-1187 New version of MRS schema (1.5)
* Tue Jan 25 2011 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.2.5-2%{?dist}
- SAM-1143 comment implementation
* Mon Jan 24 2011 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.2.4-1%{?dist}
- SAM-1143 Enable configuration for uncertified sites
* Mon Jan 24 2011 Emir Imamagic <eimamagi@srce.hr> - 1.2.3-1%{?dist}
- SAM 1180 Enable robot certs in Yaim
* Fri Jan 21 2011 Joshi Pradyumna <pjoshi@cern.ch> - 1.2.2-2%{?dist}
- SAM-1158 ATP: config.logger.error
* Mon Jan 17 2011 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.2.1-1%{?dist}
- SAM-1161 Change GOCDB address to goc.egi.eu
- SAM-1140 Create 1.8 ATP schema version on new install
- SAM-1125 Expose NOTIFICATION_HEADER to yaim
- SAM-893 config_mysql failures
* Wed Dec 15 2010 James Casey <james.casey@cern.ch> - 1.1.6-1%{?dist}
- SAM-1042 - Create 1.7 schema version on new install
* Tue Dec 14 2010 James Casey <james.casey@cern.ch> - 1.1.5-1%{?dist}
- SAM-1040 - APEL checks only for project/roc/ngi
* Mon Dec 13 2010 Emir Imamagic <eimamagi@srce.hr> - 1.1.4-1%{?dist}
- SAM-976 - Request to configure ncg.atpvo.conf through Yaim
- SAM-1024 - Yaim cleanup - adding SAM remote metric details
- SAM-980 - Add ncg check
* Fri Dec 10 2010 James Casey <james.casey@cern.ch> - 1.1.3-1%{?dist}
- SAM-1016 - Support ATP Schema 1.7
* Thu Dec 09 2010 James Casey <james.casey@cern.ch> - 1.1.2-1%{?dist}
- SAM-1009: Cleanup DB Name handling - moved all to DB_* names
- SAM-982 - Remove MYEGEE From release
* Thu Dec 09 2010 James Casey <james.casey@cern.ch> - 1.1.1-1%{?dist}
- SAM-828: Handle mod_wsgi config for myegi
- SAM-1009: Start of Clenaup of DB variables handling
- Add cron job to download nagios-roles.conf
* Thu Dec 09 2010 James Casey <james.casey@cern.ch> - 1.1.0-1%{?dist}
- SAM-997: Added supervisor
- SAM-991: nagios2metricstore on nagios-web
- SAM-828: MYEGI_DATABASE_HOSTNAME is not required on Oracle
- SAM-830: atp-web as independant component (and atp sync too)
- SAM-993: synchronizers should be able to run outside nagios user
- SAM-987: create egee-NAGIOS-WEB metapackage
* Mon Nov 30 2010 David Horat <david.horat@cern.ch> - 1.0.121-1%{?dist}
- SAM-972: Workaround for ROC_NAME being set with more than one value
* Mon Nov 29 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.120-2%{?dist}
- Upgrade of ATP mysql schema - cleanup
* Mon Nov 29 2010 David Collados <david.collados@cern.ch> - 1.0.120-1%{?dist}
- SAM-970: upgrade ATP mysql schema to 1.6
* Thu Nov 25 2010 James Casey <james.casey@cern.ch> - 1.0.119-1%{?dist}
- SAM-954 : ATP-web interface does not start
* Thu Nov 18 2010 Emir Imamagic <eimamagi@srce.hr> - 1.0.118-1%{?dist}
- SAM-946
* Fri Nov 12 2010 K.Skaburskas <konstantin.skaburskas@cern.ch> - 1.0.117-1%{?dist}
- bugfix
* Wed Nov 3 2010 Emir Imamagic <eimamagi@srce.hr> - 1.0.116-1%{?dist}
- SAM-896
* Fri Oct 22 2010 K.Skaburskas <konstantin.skaburskas@cern.ch> - 1.0.115-2%{?dist}
- bugfix
* Thu Oct 21 2010 K.Skaburskas <konstantin.skaburskas@cern.ch> - 1.0.115-1%{?dist}
- bugfix
* Tue Oct 19 2010 David Collados <david.collados@cern.ch> - 1.0.114-1%{?dist}
- Added ATP_DB_TYPE variable to config_atp function
* Mon Oct 4 2010 Joshi Pradyumna <pjoshi@cern.ch> - 1.0.113-1%{?dist}
- bugfix
* Wed Sep 29 2010 K.Skaburskas <konstantin.skaburskas@cern.ch> - 1.0.112-1%{?dist}
- bugfix
* Mon Sep 27 2010 James Casey <james.casey@cern.ch> - 1.0.111-1%{?dist}
- bugfix
* Thu Sep 23 2010 David Horat <david.horat@cern.ch> - 1.0.110-1%{?dist}
- Added config_myegi to glite-nagios file
* Tue Sep 21 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.109-1%{?dist}
- SAM-777
* Tue Sep 21 2010 K.Skaburskas <konstantin.skaburskas@cern.ch> - 1.0.108-1%{?dist}
- Bugfixes
* Mon Sep 20 2010 Emir Imamagic <eimamagi@srce.hr> -  1.0.107-1%{?dist}
- Fixed SAM-730, SAM-788
* Fri Sep 17 2010 K.Skaburskas <konstantin.skaburskas@cern.ch> - 1.0.106-1%{?dist}
- Fixed SAM-729
* Mon Aug 30 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.105-1%{?dist}
- https://tomtools.cern.ch/jira/browse/SAM-789
* Mon Aug 30 2010 James Casey <james.casey@cern.ch> - 1.0.104-1%{?dist}
- Bugfixes
* Thu Aug 26 2010 James Casey <james.casey@cern.ch> - 1.0.103-1%{?dist}
- Bugfixes
* Thu Aug 26 2010 James Casey <james.casey@cern.ch> - 1.0.102-1%{?dist}
- Bugfixes
* Thu Aug 26 2010 James Casey <james.casey@cern.ch> - 1.0.101-1%{?dist}
- Bugfixes
* Wed Aug 25 2010 James Casey <james.casey@cern.ch> - 1.0.100-1%{?dist}
- Bugfixes
* Fri Aug 20 2010 Joshi Pradyumna <pjoshi@cern.ch> and Christos Triantafyllidis <ctria@grid.auth.gr> - 1.0.99-1
- Fixed SAM-319, SAM-709, SAM-721, SAM-732
* Mon Aug 16 2010 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.0.98-1
- Fixed SAM-396
* Sun Aug 15 2010 Emir Imamagic <eimamagi@srce.hr> - 1.0.97-1
- Fixed SAM-726
* Mon Aug 02 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.96-2
- Fixed SAM-699
* Wed Jul 28 2010 Emir Imamagic <eimamagi@srce.hr> - 1.0.96-1
- Fixed SAM-511, SAM-645, SAM-652
* Wed Jul 28 2010 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.0.95-1
- Re-Fixed SAM-647
* Tue Jul 20 2010 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.0.94-1
- Allow use of "security" as Nagios role
* Wed Jul 14 2010 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.0.93-1
- Requirement for x509 authentication for the NRPE configuration web share
* Wed Jul 14 2010 David Smith <david.smith@cern.ch> - 1.0.92-1
- allow configuration of NCG to specify ATP for topology
* Wed Jun 30 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.91-1
- MRS upgrade: drop events, stop httpd
* Mon Jun 28 2010 James Casey <james.casey@cern.ch> - 1.0.90-3
- ATP 1.3 support
* Fri Jun 25 2010 James Casey <james.casey@cern.ch> - 1.0.90-2
- rollback ATP 1.3 support
* Fri Jun 25 2010 Emir Imamagic <eimamagi@srce.hr> - 1.0.90-1
- Bugfix
* Thu Jun 24 2010 James Casey <james.casey@cern.ch> - 1.0.89-1
- ATP 1.3 support
* Wed Jun 23 2010 James Casey <james.casey@cern.ch> - 1.0.88-2
- Bugfix
* Wed Jun 23 2010 James Casey <james.casey@cern.ch> - 1.0.88-1
- Bugfixes
* Wed Jun 23 2010 James Casey <james.casey@cern.ch> - 1.0.87-1
- Bugfixes
* Tue Jun 22 2010 James Casey <james.casey@cern.ch> - 1.0.86-1
- Bugfixes
* Tue Jun 22 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.85-1
- MRS DB Migration: stop ncg, nagios and send_to_db
* Tue Jun 22 2010 James Casey <james.casey@cern.ch> - 1.0.84-1
- Bugfix
* Mon Jun 21 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.83-3
- Bugfix
* Mon Jun 21 2010 David Horat <david.horat@cern.ch> - 1.0.83-1
- New Features
* Fri Jun 12 2010 Emir Imamagic <eimamagi@srce.hr> - 1.0.82-1
- Bugfixes.
- Changes are now in CHANGES file
* Fri May 21 2010 David Horat <david.horat@cern.ch> - 1.0.81-1
- MyEGEE 0.4.1 config
* Fri May 14 2010 James Casey <james.casey@cern.ch> - 1.0.80-1
- Fix SAM-482, SAM-405
* Mon May 03 2010 Lionel Cons <lionel.cons@cern.ch> - 1.0.79-1
- msg-to-queue replaced by msg-to-handler
* Tue Apr 27 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.78-1
- Fix bug #66521: Add 'LOCAL_METRIC_STORE=1' and NCG::SiteContacts for role 'VO'
* Thu Apr 22 2010 Wojciech Lapka <wojciech.lapka@cern.ch> - 1.0.77-1
- Fix bug #65904: yaim - set VO_{$VO}_DEFAULT_VO_FQAN in NCG::ConfigPublish::ConfigCache
* Tue Mar 23 2010 James Casey <james.casey@cern.ch> - 1.0.76-1
- Fix bug #64612: yaim - new variable NCG_INCLUDE_EMPTY_HOSTS
* Fri Mar 19 2010 James Casey <james.casey@cern.ch> - 1.0.75-1
- Fix bug #64600: ConfigGen wants DEFAULT_VO_FQAN, not DEFAULT_FQAN
* Mon Mar 15 2010 James Casey <james.casey@cern.ch> - 1.0.74-1
- Fix bug #64356: NAGIOS_ROLE not set for info provider (and defaults to site)
- Remove old info provider (egee-sa1-info-provider-service-nagios-wrapper) if it exists
- Fix bug #59262: Set NAGIOS_SERVER in ConfigPublish block
- Fix bug #63569: config_nrpe does not work with a DNS_ALIAS for NAGIOS_HOST
- Fix bug #64495: Change MSG_TO_QUEUE_DESTINATION to GLOBAL_ATTRIBUTE
- Fix bug #64510: Allow for flexible subscription to remote data sources in Nagios in Yaim
- Fix bug #64438: For ROC nagios, subscribe to remote Nagios from Project
- Fix bug #64390: Expose VO_FQAN info to Yaim
- Fix bug #64522: YAIM should not configure LocalMetricSets
- Updated defaults to remove ENOC tests - they are still configurable as a remote source
* Wed Mar 10 2010 Wojciech Lapka <Wojciech.Lapka@cern.ch> - 1.0.73-1
- Added missing space in config_atp_mysql
* Wed Mar 10 2010 Joshi P.S. <pjoshi@cern.ch> - 1.0.72-1
- Modified config_atp_mysql function for atp-1.9.4
* Mon Mar 8 2010 James Casey <james.casey@cern.ch> - 1.0.71-1
- Requirement for x509 authentication for the NRPE configuration web share
  https://savannah.cern.ch/bugs/?62540
* Sun Feb 28 2010 Steve Traylen <steve.traylen@cern.ch> - 1.0.70-1
- Update config_info_service_nagios so it actually works.
  https://savannah.cern.ch/bugs/?57402
* Sun Feb 28 2010 James Casey <james.casey@cern.ch> - 1.0.69-2
- Second part of bug #62939: NCG Should enable ROC Operators to submit tests via nagios interface
  remove some DN chars from ilegal_service_name - ()'
* Sat Feb 27 2010 James Casey <james.casey@cern.ch> - 1.0.69-1
- Fix bug #63634: Allow YAIM to configure topology sources;
    Add variables NCG_TOPOLOGY_USE_[SAM,GOCDB,ENOC,LDAP]
- Fix typo in config_ncg with extra EOF
* Fri Feb 26 2010 James Casey <james.casey@cern.ch> - 1.0.68-1
- [bug #63302] NCG_GOCDB_ROC_NAME always required by config_n2ms_mysql
- [bug #50112] Allow the usage of NAGIOS_ROLE=ngi
- [bug #63408] Add GOCDB  contacts generation
- [bug #62939] NCG Should enable ROC Operators to submit tests via nagios interface
* Wed Feb 24 2010  Romain <Romain.Wartel@cern.ch> 1.0.67-1
- Added ACK for Dashboard notifications
* Mon Feb 22 2010 Stve Traylen <steve.traylen@cern.ch> - 1.0.66-1
- Add opsmonitor function properly.
* Mon Feb 22 2010 Stve Traylen <steve.traylen@cern.ch> - 1.0.65-1
- Add opsmonitor function.
* Tue Feb 16 2010 Wojciech Lapka <Wojciech.Lapka@cern.ch> - 1.0.64-1
- New YAIM variable: NCG_MDDB_SUPPORTED_PROFILES
- Call metricstore.addSupportedProfiles
* Fri Feb 12 2010 Joshi P. S. <pjoshi@cern.ch> - 1.0.63-1
- Removed comments after DATABASE_ENGINE variable
* Fri Feb 12 2010 Joshi P. S. <pjoshi@cern.ch> - 1.0.62-1
- Added missing variable ATP_WEB_INTERNAL_IPS in config_atp_web and corrected ATP_WEB_DB_NAME in glite-nagios.pre and glite-nagios.post
* Fri Feb 12 2010 Steve Traylen <steve.traylen@cern.ch> - 1.0.61-1
- Add more myegee configuration.
* Thu Feb 11 2010 Steve Traylen <steve.traylen@cern.ch> - 1.0.60-1
- Add more ATP web configuration.
* Thu Feb 11 2010 Judit Novak <Judit.Novak@cern.ch> - 1.0.59-1
- ATP Web configuration added
* Wed Feb 10 2010 Joshi P S <pjoshi@cern.ch> - 1.0.58-1
- ATP Web configuration added
* Tue Feb 9 2010 Wojciech Lapka <Wojciech.Lapka@cern.ch> - 1.0.57-1
- New version of ATP DB (1.1)
- Configure MySQL (/etc/my.cnf)
* Mon Feb 8 2010 Steve Traylen <steve.traylen@cern.ch> - 1.0.56-1
- https://savannah.cern.ch/bugs/index.php?62393
  Sets use_large_installation_tweaks=1 in nagios.conf
* Thu Jan 28 2010 Wojciech Lapka <Wojciech.Lapka@cern.ch> -  1.0.55-1
- New version of MetricStore (1.2)
* Tue Jan 19 2010 Romain Wartel <Romain.Wartel@cern.ch> -  1.0.54-1
- Added a configuration line for MyEGEE for msg-to-queue
* Mon Dec 14 2009 Steve Traylen <steve.traylen@cern.ch> - 1.0.53-1
- Alter sudo configuration to support scas probe.
* Fri Dec 11 2009 Steve Traylen <steve.traylen@cern.ch> - 1.0.52-1
- Enable config_nrpe_share allways.
  https://savannah.cern.ch/bugs/?59916
* Thu Nov 26 2009 Steve Traylen <steve.traylen@cern.ch>  - 1.0.51-1
- Upgrade schema utilities for metric store.
- Additon VOs into the metricstore database.
  https://savannah.cern.ch/bugs/?57450
* Fri Nov 16 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.50-1
- Remove some white space from myegee configuration. config_myegee
  https://savannah.cern.ch/bugs/?58771
* Fri Nov 16 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.49-1
- Change sl4 for slc4 expections.
  https://savannah.cern.ch/bugs/?50872
* Mon Nov 12 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.48-1
- Compulsory ROC_NAME for roc level nagios
- Compulsory NAGIOS_HOST name. Used in notification callouts.
  https://savannah.cern.ch/bugs/?58473
  https://savannah.cern.ch/bugs/?58604
* Mon Nov 12 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.47-1
- Stupid mistake config_myegee was exiting all of yaim.
* Mon Nov 11 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.46-1
- Addition of config_myegee and config_myegee_mysql
- Addition of variables:
  MYEGEE_DB_USER  default "myegee"
  MYEGEE_DB_PASS  no default.
  https://savannah.cern.ch/bugs/?58616
* Mon Nov 10 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.45-1
- Updated config_atp_mysql , compares schema versions for
  potential update.
* Mon Nov 2 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.44-1
- Use voms-htpasswd instead of nagios-htpasswd
* Fri Oct 30 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.43-1
- Grant read rights for metricstore to atp and mddb.
- Fix properly remote and local probes as default.
* Fri Oct 23 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.42-1
- Grant references rights for mddb user to atp.
* Fri Oct 23 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.41-1
- Change format of mddb databases.yml file
- Grant rights for MDDB to access ATP tables.
* Fri Oct 23 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.40-1
- Addition of config_n2ms and config_n2ms_mysql to set up
  schema and and nagios2metricstore probe.
  https://savannah.cern.ch/bugs/?57464
- New YAIM variables:
  MS_DB_HOST, metric store database host, default=localhost
  MS_DB_USER, mettic store database users, default msuser
  MS_DB_PASS, metric store database passwd, no default.
- NCG is now configured with LOCAL_METRIC_STORE=1
  in the case of a roc or project nagios.
  https://savannah.cern.ch/bugs/?56720
* Fri Oct 23 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.39-1
- Really enable config_ggus2nagios
* Wed Oct 21 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.38-1
- Addition of config_ggus2nagios
* Wed Oct 21 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.37-1
- Try to detect if the old MySQL 5.0 is running.
* Wed Oct 21 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.36-1
- New functions config_atp_mysql , config_atp, config_mdb_mysql
  and config_mdb.
- New variables:
      ATP_DB_HOST  default localhost
      ATP_DB_USER  default atpuser
      ATP_DB_PASS  no default, must be set.
      MDDB_DB_HOST default localhost
      MDDB_DB_USER default mddbuser
      MDDB_DB_PASS no default, must be set.
  https://savannah.cern.ch/bugs/?57313
* Mon Sep 21 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.35-1
- Add ENOC element to SiteInfo to get routers.

* Thu Sep 17 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.34-1
- Nagios ndoutils  broker disabled.

* Mon Jul 8 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.32-2%{?dist}
- HOME must be set in NRPE and NAGIOS for glite-wms commands.
  https://savannah.cern.ch/bugs/?52331

* Mon Jun 22 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.31-2%{?dist}
- Configure sudo optionally.
  https://savannah.cern.ch/bugs/?52638

* Mon Jun 22 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.30-2%{?dist}
- Stupid mistake.

* Fri Jun 19 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.29-2%{?dist}
  https://savannah.cern.ch/bugs/index.php?52013
  Create /etc/sysconfig/nagios and nrpe files to load grid-env.sh if it
  exists.

* Mon Jun 8 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.28-2%{?dist}
- New variable MSG_BROKER_CACHE_NETWORK is PROD by default.
  Allows selection of AviceMQ  broker network to use.
  https://savannah.cern.ch/bugs/?48809

* Wed Jun 3 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.27-2%{?dist}
- Correct topics that  are needed for metric configuration.
  Configure ncg.conf to import remote nagios metrics from sites.
  https://savannah.cern.ch/bugs/?51156
- When LDAP filter is used (Louis) set ADD_HOSTS to include LDAP found hosts.
  https://savannah.cern.ch/bugs/?46909

* Tue Jun 2 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.26-2%{?dist}
- Configure ncg for ROC to Site messages.
  Configure /etc/msg-to-queue/*
  Configure push_nrpe configuration.
  Fixes: https://savannah.cern.ch/bugs/?51165

* Mon Apr 27 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.25-2%{?dist}
- Swap config_nagios_proxy_renew for config_nagios_certs.
  https://savannah.cern.ch/bugs/?49679

* Thu Apr 9 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.24-2%{?dist}
- Support for gstat probe configuration under a YAIM  gstat as target as well.
  https://savannah.cern.ch/bugs/?47799  (Laurence Field)

* Wed Mar 25 2009 Steve Traylen <steve.traylen@cern.ch> v1.0-23-2%{?dist}
- Change ssl.conf, nagios.conf a bit.
  https://savannah.cern.ch/bugs/index.php?48480

* Wed Mar 11 2009 Steve Traylen <steve.traylen@cern.ch> v1.0-21-2%{?dist}
- For now we skip configuration of BDII and GIP on SL5 till this
  available.

* Fri Mar 06 2009 Steve Traylen <steve.traylen@cern.ch> v1.0-20-2%{?dist}
- Add a %{?dist} tag.

* Wed Mar 04 2009 Steve Traylen <steve.traylen@cern.ch> v1.0-20-1
- Works with MySQL's mysql as well as RHEL's redhat.

* Tue Mar 03 2009 Steve Traylen <steve.traylen@cern.ch> v1.0-19-1
- Use combined format for apache log.
- Fix ncg.conf file generation being broken for > 2 VOs.

* Mon Mar 02 2009 Steve Traylen <steve.traylen@cern.ch> v1.0-18-1
- New YAIM variable. NAGIOS_MYPROXY_USER=nagios by default.
  Specifies myproxy user name.
  Fixes: https://savannah.cern.ch/bugs/?47476
- NAGIOS_TIMEOUT + 10 seconds for NAGIOS.
  NAGIOS_TIMEOUT + 20 seconds for NRPE.
  Fixes: https://savannah.cern.ch/bugs/?47522
* Mon Feb 23 2009 Steve Traylen <steve.traylen@cern.ch> v1.0-17-1
- Mutliple NCG VO Support. YAIM variable "NCG_VO" now supports
  a space seperated list of VOs. e.g NCG_VO="dteam ops"
  Fixes: https://savannah.cern.ch/bugs/?44333
- Enable PNP4Nagios
  New function config_npcd_server, starts npcd on nagios box.
  Enable nagios.cfg for perfomanche data. All for PNP
  Fixes: https://savannah.cern.ch/bugs/?46480
- Yaim ignores NCG_VO setting for MYPROXY_NAME
  https://savannah.cern.ch/bugs/?47220
- Wrong config parameter in nsca.cfg
  https://savannah.cern.ch/bugs/?47219
- MyProxy Credential name now based on NRPE hostname
  on NAGIOS host as well.
  https://savannah.cern.ch/bugs/?47075

* Tue Feb 7 2009 Steve Traylen <steve.traylen@cern.ch> v1.0-16-1
- Configure mirror-nrpe-config to search and replace for 32bit or
  64bit nagios plugins as needed.
- Change nsca encryption method to "2" i.e. DES rather than XOR.
  Needed for perl(Nagios::NSCA::Client).
- broker-cache-file before msg_to_queue
  Fixes: https://savannah.cern.ch/bugs/?47004

* Mon Feb 2 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.15-1
- NAGIOS_ROLE must be strictly  one of site, roc, vo or project.
  Fixes: https://savannah.cern.ch/bugs/?46452

* Fri Jan 30 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.14-1
- config_msg_to_queue should run before config_ncg so the static
  directory is already in place.
- 3 new variables to go with existing one. All default to false.
  NAGIOS_HTTPD_ENABLE_CONFIG
  NAGIOS_NCG_ENABLE_CONFIG
  NAGIOS_NAGIOS_ENABLE_CONFIG
  NAGIOS_CGI_ENABLE_CONFIG
  Set all to true to restore previous behaviour.
  These allow better integration with existing nagios or apache
  configuration by not over writing their configurations.
  Fixes: https://savannah.cern.ch/bugs/?44968

* Mon Jan 26 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.13-1
- New YAIM variables , NCG_GOCDB_ROC_NAME and NCG_GOCDB_COUNTRY_NAME
  to influence along with existing NCG_LDAP_FILTER set of sites to
  monitor.
- Addition of config_nsca (glite-NRPE), config_nsca_server (glite-NAGIOS)
  Addition of NAGIOS_NCSA_PASS variable.
- Reload, d'ont start ndoutils
- Addition config_msg_to_queue (glite-NAGIOS)
- Use GOCDB where ever possible.

* Tue Jan 20 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.12-1
- Missed a commit, really exit YAIM when ndoutils is not loaded.

* Fri Jan 11 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.11-1
- Configure NAGIOS to use NDOUtils
  Configure NDOUtils  -> New config_ndoutils
  Configure MySQL for NDOUtils -> New config_ndoutils_mysql
  New YAIM Variables -> NAGIOS_DB_HOST
                        NAGIOS_DB_USER
                        NAGIOS_DB_PASS
  Existing YAIM Variables -> MYSQL_ADMIN (Optionally MySQL root password)
  Fixes: https://savannah.cern.ch/bugs/?45815

* Thu Jan 10 2009 Steve Traylen <steve.traylen@cern.ch> v1.0.10-1
- Change illegal_params in nagios.cfg to !$%^*|'"<>?,()
  Fixes: https://savannah.cern.ch/bugs/?45925
- Set MYPROXY_NAME in ncg.cfg with YAIM.
  Fixes: https://savannah.cern.ch/bugs/?45894

* Wed Jan 9 2009 Steve Traylen <steve.traylen@cern.ch>
- Add config_edgusers to NAGIOS target.
  Fixes: https://savannah.cern.ch/bugs/?45890

* Wed Dec 17 2008 James Casey <james.casey@cern.ch> v1.0.9-1
- Added info-provider for Nagios
- Fix bug #45414: NAGIOS_ROLE Should be configurable in YAIM.
  default is 'Site'

* Fri Nov 28 2008 Steve Traylen <steve.traylen@cern.ch> v1.0.8-1
- New YAIM variable NCG_LDAP_FILTER. Not set by default if this is
  set then NCG is configured for multisite support rather than one site.
  e.g NCG_LDAP_FILTER="GlueSiteOtherInfo=EGEE_ROC=ITALY" would configure to
  monitor for all sites falling under the Italian ROC.
- Enable NAGIOS_TIMEOUT for service check timeout in nagios.cfg
  Fixes: https://savannah.cern.ch/bugs/?43924
- New yaim function "config_broker_cache"
  Sets up /etc/broker-cache-file.conf and enables broker-cache-file cron via
  init.d service broker-cache-file.

* Fri Nov 6 2008 Steve Traylen <steve.traylen@cern.ch> v1.0.7-1
- Share nrpe conf files works for CN=host/nrpe.example.org as
  well as CN=nrpe.example.org.
  Fixes: https://savannah.cern.ch/bugs/?42893

* Thu Nov 6 2008 Steve Traylen <steve.traylen@cern.ch> v1.0.6-1
- Create nagios.conf suitable for Nagios 3.
  Fixed: https://savannah.cern.ch/bugs/?43581
- Running local tests on localhost without NRPE working again.
  i.e the following now works.
  > yum install lcg-CA egee-NAGIOS glite-UI
  Configure YAIM for local,remote,native probes
  > /opt/glite/yaim/bin/yaim -c -s site-info.def -n glite-NAGIOS -n glite-UI
  Fixed: https://savannah.cern.ch/bugs/?43380
- Clean up chkconfig options for our services.
  We only ever switch on or off and leave --add, --del to
  the packages and admins.
  Fixed: https://savannah.cern.ch/bugs/?42675
  Fixed: https://savannah.cern.ch/bugs/?42674

* Tue Oct 14 2008 Steve Traylen <steve.traylen@cern.ch> v1.0.5-1
- Change in default myproxy credential name from NagiosRetrieve to
  NagiosRetrieve-<NRPEhostname>-<VO>.
  e.g. NagiosRetrieve-nrpenode.example.org-dteam
  Addition of YAIM variable NAGIOS_MYPROXY_NAME to override this.
  https://savannah.cern.ch/bugs/?42341
- Multiple values for VO_<VO>_VOMS_SERVERS are now supported including
  quoted single ones as generated by the CIC portal.
  https://savannah.cern.ch/bugs/?42596

* Tue Sep 30 2008 Steve Traylen <steve.traylen@cern.ch> v1.0.4-1
- Now uses nagios-htpasswd package to wrap voms2htpasswd in a cron.
  Fixes https://savannah.cern.ch/bugs/index.php?42316

* Mon Sep 29 2008 Steve Traylen <steve.traylen@cern.ch>
- v1.0.3-1
- Fix https://savannah.cern.ch/bugs/?42050
  Cron job for "service httpd status && service httpd graceful"
  was to noisy

* Fri Sep 19 2008 Steve Traylen <steve.traylen@cern.ch>
- v1.0.2-1
- Bug for /etc/nagios/nrpe.conf configuration running first time.
- Addition of NAGIOS_TIMEOUT variable.

